import {fromObject, ObservableArray} from "@nativescript/core";

const array = [
	{id: "1", title: "This is the title"},
	{id: "2", title: "This is the title"},
	{id: "3", title: "This is the title"},
	{id: "4", title: "This is the title"},
	{id: "5", title: "This is the title"},
	{id: "6", title: "This is the title"},
	{id: "7", title: "This is the title"},
	{id: "8", title: "This is the title"},
	{id: "9", title: "This is the title"},
	{id: "10", title: "This is the title"}
];

export const vm = fromObject({
	items: new ObservableArray(array)
});


export function loadItems(): Promise<void> {
	return new Promise((resolve, reject) => {
		setTimeout(() => {
			vm.get("items").splice(0, vm.get("items").length);
			vm.get("items").push(array);

			resolve();
		}, 1000);
	});
}
